podTemplate(containers: [
    containerTemplate(name: 'sonarqube', image: 'sonarsource/sonar-scanner-cli', ttyEnabled: true, command: 'cat'),
    containerTemplate(name: 'maven', image: 'maven:latest', ttyEnabled: true, command: 'cat')

],
    volumes: [hostPathVolume(hostPath: '/var/run/docker.sock', mountPath: '/var/run/docker.sock')]
  ) {
node(POD_LABEL) {
        stage("checkout") {
            container('jnlp') {
                git branch: "main",
                url: 'https://gitlab.com/yashwanth.kyktechie/test-proj.git'
            }
        }
        stage('scanning') {
            container("sonarqube"){
                echo "scanning sonar"
            }
        }
        stage('building') {
            container("maven"){
                echo "build"
            }
        }
    }
}